package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hgw
 * Created by 2021-12-07
 */
@ApiModel(value = "机构配置参数")
public class TenantConfigDto implements Serializable {

    @ApiModelProperty(value = "id")
    private Integer id;

    @NotNull(message = "机构id不能为空!")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @NotNull(message = "手续费率不能为空!")
    @ApiModelProperty(value = "手续费率")
    private BigDecimal chargeRate;

    @ApiModelProperty(value = "可用教材id，多个用逗号分割")
    private String teachingMaterialId;

    @NotBlank(message = "主题不能为空")
    @ApiModelProperty(value = "主题")
    private String theme;

    @NotBlank(message = "主题色不能为空")
    @ApiModelProperty(value = "主题色")
    private String themeColor;

    @NotBlank(message = "企业公章不能为空")
    @ApiModelProperty(value = "企业公章图片地址")
    private String corporateChops;

    @NotBlank(message = "企业财务公章不能为空")
    @ApiModelProperty(value = "企业财务公章图片地址")
    private String corporateFinanceChops;

    @ApiModelProperty(value = "机构动态配置，以json格式储存")
    private String config;

    @ApiModelProperty(value = "更新人")
    private Integer updatedBy;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public BigDecimal getChargeRate() {
        return chargeRate;
    }

    public void setChargeRate(BigDecimal chargeRate) {
        this.chargeRate = chargeRate;
    }

    public String getTeachingMaterialId() {
        return teachingMaterialId;
    }

    public void setTeachingMaterialId(String teachingMaterialId) {
        this.teachingMaterialId = teachingMaterialId;
    }

    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    public String getThemeColor() {
        return themeColor;
    }

    public void setThemeColor(String themeColor) {
        this.themeColor = themeColor;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public Integer getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getCorporateChops() {
        return corporateChops;
    }

    public void setCorporateChops(String corporateChops) {
        this.corporateChops = corporateChops;
    }

    public String getCorporateFinanceChops() {
        return corporateFinanceChops;
    }

    public void setCorporateFinanceChops(String corporateFinanceChops) {
        this.corporateFinanceChops = corporateFinanceChops;
    }
}
